package com.rjconsultores.ventaboletos.web.utilerias.menu;

import java.util.Map;

import org.zkoss.zk.ui.Desktop;

public interface ItemMenuSistema {
	/**
	 * Regresa la descripción del menu 
	 * @return
	 */
	public String getDescItemMenu();
	/**
	 * Ejecuta la operación del menu
	 */
	public void ejecutar();
	/**
	 * Indica se el menu es visible
	 * @return
	 */
	public String getClaveMenu();
	
	public void setDesktop(Desktop desktop);
	
	public Desktop getDesktop();
	
	public Boolean getIsReadOnly();
	
	public void setIsReadOnly(Boolean isReadOnly);
	
	public Map getArgs();
}
